Bug 1414705 - RestrictAddressFamilies= broken on 32-bit
Summary: RestrictAddressFamilies= broken on 32-bit
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pdns
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Morten Stevens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 10:14 UTC by Jean-Eudes ONFRAY
Modified: 2017-08-08 19:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:35:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Jean-Eudes ONFRAY 2017-01-19 10:14:40 UTC
Description of problem:
pdns fails to start

Version-Release number of selected component (if applicable):
pdns-4.0.1-1.fc24.i686
systemd-229-16.fc24.i686

How reproducible:
100%

Steps to Reproduce:
1. systemctl start pdns

Actual results:
systemd[1]: Starting PowerDNS Authoritative Server...
pdns_server[6133]: Jan 19 11:03:13 Reading random entropy from '/dev/urandom'
systemd[1]: Started PowerDNS Authoritative Server.
systemd[1]: pdns.service: Main process exited, code=exited, status=1/FAILURE
systemd[1]: pdns.service: Unit entered failed state.
systemd[1]: pdns.service: Failed with result 'exit-code'.

Expected results:
systemd[1]: Starting PowerDNS Authoritative Server...
pdns_server[9964]: Jan 19 11:06:23 Reading random entropy from '/dev/urandom'
pdns[9964]: Reading random entropy from '/dev/urandom'
systemd[1]: Started PowerDNS Authoritative Server.
pdns[9965]: This is a standalone pdns
pdns[9965]: Unable to change group ownership of controlsocket at '/var/run/pdns.controlsocket', reason: Operation not permitted
pdns[9965]: Listening on controlsocket in '/var/run/pdns.controlsocket'
pdns[9965]: UDP server bound to 0.0.0.0:53
pdns[9965]: UDPv6 server bound to [::]:53
pdns[9965]: TCP server bound to 0.0.0.0:53
pdns[9965]: TCPv6 server bound to [::]:53
pdns[9965]: PowerDNS Authoritative Server 4.0.1 (C) 2001-2016 PowerDNS.COM BV
pdns[9965]: Using 32-bits mode. Built using gcc 6.1.1 20160621 (Red Hat 6.1.1-3).
pdns[9965]: PowerDNS comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it according to the terms of the GPL version 2.
pdns[9965]: Set effective group id to 497
pdns[9965]: Set effective user id to 497
pdns[9965]: Creating backend connection for TCP
pdns[9965]: About to create 3 backend threads for UDP
pdns[9965]: Done launching threads, ready to distribute questions


Additional info:
After commenting out RestrictAddressFamilies in
/usr/lib/systemd/system/pdns.service
and reloading config
systemctl daemon-reload
pdns starts fine

See these bugs for reference:
https://github.com/systemd/systemd/issues/4575
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=849817
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=843160

Can you comment RestrictAddressFamilies in service file until we have a more recent systemd version in f24? Thanks.

PS: pdns-recursor has the very same problem

Comment 1 Fedora End Of Life 2017-07-26 00:12:04 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 19:35:02 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.